package classes.comparator.elementComparator;

import classes.HolonElement;

public class ElemCompOnFlexible extends ElementComparator {
	
	@Override
	public int compare(HolonElement a, HolonElement b) {

		float flexA = a.getFlexibleEnergyAvailablePerElement();
		float flexB = b.getFlexibleEnergyAvailablePerElement();
		if (flexA < flexB)
			return -1;
		if (flexA > flexB)
			return 1;
		return 0;

	}
}
